Subject: bug#11298: 24.0.95; (WISH) Re-look scratch buffers

From: Jambunathan K <[email-masked]>
Date: Tue, 24 Apr 2012 15:51:58 +0530

Richard Stallman <[email-masked]> writes:

>     Instead of creating one scratch buffer, make changes such a way that N
>     scratch buffers are created. N = 0, 1, 2, 3 etc etc.
>
> rename-uniquely is a good way to do that.  Whenever you want a new one,
> go to *scratch* and type M-x rename-uniquely.  Then the next thing
> that tries to make *scratch* will create a new one.

I believe what I am saying is this:

Can the scratch buffers be uniquified st. that the major mode of the
buffer is reflected in it's name.  This way I can have *scratch-org*,
*scratch-text*, *scratch-emacs-lisp* etc.

Just brainstorming.

> --
> Dr Richard Stallman
> President, Free Software Foundation
> 51 Franklin St
> Boston MA 02110
> USA
> www.fsf.org  www.gnu.org
> Skype: No way! That's nonfree (freedom-denying) software.
>   Use Ekiga or an ordinary phone call